package cn.com.qmth.mps.enums;

public enum Role {

    SUPPER_ADMIN("超级管理员"),

    SCHOOL_ADMIN("机构管理员"),

    SECTION_LEADER("科组长"),

    ;

    private String name;

    Role(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static Role getByName(String name) {
        for (Role r : Role.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
