package cn.com.qmth.mps.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.mps.vo.AdminLoginVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "登录相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/auth")
public class AuthController extends BaseController {

	@ApiOperation(value = "管理端登录")
	@PostMapping("login/admin")
	public AdminLoginVo loginAdmin(@RequestParam Long schoolId, @RequestParam String loginName,
			@RequestParam String password) {
		return null;
	}

	@ApiOperation(value = "微信小程序登录")
	@PostMapping("login/wxapp")
	public AdminLoginVo loginWxApp(@RequestParam Long schoolId, @RequestParam String phone) {
		return null;
	}

	@ApiOperation(value = "登出")
	@PostMapping("logout")
	public void logout() {
	}

}