package cn.com.qmth.mps.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import cn.com.qmth.mps.entity.base.AuditingEntity;
import cn.com.qmth.mps.enums.Role;
@TableName(value="mps_user",autoResultMap = true)
public class UserEntity extends AuditingEntity {

	private static final long serialVersionUID = 6770398649449396459L;
	private Long schoolId;
	private String name;
	private String loginName;

	private String password;
	private Boolean enable;
	
	@TableField(value = "params", typeHandler = JacksonTypeHandler.class)
	private List<String> course;
	private Role role;

	public Long getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public List<String> getCourse() {
		return course;
	}

	public void setCourse(List<String> course) {
		this.course = course;
	}
	

	
}
